%define name		nss
%define version		3.9.2
%define release		1mdk

Summary:		Netscape Security Services
Name:			%{name}
Version:		%{version}
Release:		%{release}
Group:			System/Libraries
URL:			http://www.mozilla.org/projects/security/pki/nss/index.html
Source0			ftp://ftp.mozilla.org/pub/mozilla.org/security/nss/releases/NSS_3_9_2_RTM/src/nss-%{version}.tar.bz2
Patch0:			mozilla-nss-Makefile.patch.bz2
Patch1:			mozilla-nss-system-zlib.patch.bz2
License:		MPL
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Network Security Services (NSS) is a set of libraries designed to 
support cross-platform development of security-enabled client and 
server applications. Applications built with NSS can support SSL v2 
and v3, TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3 
certificates, and other security standards. For detailed information 
on standards supported, see
http://www.mozilla.org/projects/security/pki/nss/overview.html.

Note: This package currently contains the NSS binaries only. The
libraries have been not been included due to conflicts with the
Mozilla libraries.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
pushd mozilla/security/nss
%__make BUILD_OPT=1 OPTIMIZER="%optflags" nss_build_all
popd
pushd mozilla/security/coreconf/nsinstall
%__make BUILD_OPT=1 OPTIMIZER="%optflags"
popd
pushd mozilla/security/nss/lib/pki1
%__make BUILD_OPT=1 OPTIMIZER="%optflags"
popd

%install
%__rm -rf %buildroot

pushd mozilla/dist/$(uname -s)*
%__mkdir_p %{buildroot}%{_bindir}
%__cp -pL bin/* %{buildroot}%{_bindir}
%__rm -f %{buildroot}%{_bindir}/*.so
popd

pushd mozilla/security/nss/cmd/smimetools
%__install -m 755 smime %{buildroot}%{_bindir}
%__perl -p -i -e 's|/usr/local/bin|%{_bindir}|g' %{buildroot}%{_bindir}/smime
popd

%clean
%__rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/*

%changelog
* Fri Jan 28 2005 David Walluck <walluck@mandrake.org> 3.9.2-1mdk
- release
